# Uses of Interface
java.lang.module.ModuleFinder

Packages that use ModuleFinder
Package
Description
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.

## Uses of ModuleFinder in java.lang.module

Methods in java.lang.module that return ModuleFinder
Modifier and Type
Method
Description
`static ModuleFinder`
ModuleFinder.`compose(ModuleFinder... finders)`
Returns a module finder that is composed from a sequence of zero or more module finders.
`static ModuleFinder`
ModuleFinder.`of(Path... entries)`
Returns a module finder that locates modules on the file system by searching a sequence of directories and/or packaged modules.
`static ModuleFinder`
ModuleFinder.`ofSystem()`
Returns a module finder that locates the system modules.
Methods in java.lang.module with parameters of type ModuleFinder
Modifier and Type
Method
Description
`static ModuleFinder`
ModuleFinder.`compose(ModuleFinder... finders)`
Returns a module finder that is composed from a sequence of zero or more module finders.
`Configuration`
Configuration.`resolve(ModuleFinder before, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules, with this configuration as its parent, to create a new configuration.
`static Configuration`
Configuration.`resolve(ModuleFinder before, List<Configuration> parents, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules to create a configuration.
`Configuration`
Configuration.`resolveAndBind(ModuleFinder before, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules, with service binding, and with this configuration as its parent, to create a new configuration.
`static Configuration`
Configuration.`resolveAndBind(ModuleFinder before, List<Configuration> parents, ModuleFinder after, Collection<String> roots)`
Resolves a collection of root modules, with service binding, to create configuration.